## calypso.util
Class SelfTestException

    java.lang.Object
      |
      +--java.lang.Throwable
            |
            +--java.lang.Exception
                  |
                  +--calypso.util.SelfTestException

public class SelfTestException
extends java.lang.Exception

Self test exceptions are thrown when self test code is invoked and fails to operate properly.

See Also:
  Serialized Form

Constructor Summary
`SelfTestException()`
`SelfTestException(java.lang.String msg)`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getLocalizedMessage, getMessage, printStackTrace, printStackTrace, printStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### SelfTestException

    public SelfTestException()

### SelfTestException

    public SelfTestException(java.lang.String msg)